Page MenuHomePhabricator

Mediawiki > Enable user/common.css user/common.js
Open, Stalled, HighPublicFeature

Description

It seems that Lingua Libre does not allow for user to use their own common.css and common.js. It would be useful to allow for people to be able to test modification before being applied to all.

User:{username}/Common.js :

mw:Manual:Interface/JavaScript: "If $wgAllowUserJs is set to true, users can customize the interface for only themselves by creating and importing personal scripts in certain user subpages."

User:{username}/Common.css :

Manual:CSS & $wgAllowUserCss. Set $wgAllowUserCss to True.

Event Timeline

Pamputt renamed this task from Allow to user user/common.css user/common.js to Enable user/common.css user/common.js.Feb 3 2021, 7:01 AM
Pamputt created this task.
Pamputt changed the subtype of this task from "Task" to "Feature Request".
This comment was removed by Yug.
Yug renamed this task from Enable user/common.css user/common.js to Mediawiki > Enable user/common.css user/common.js.Feb 15 2021, 3:19 PM

Actually, enabling common.js would be useful for users who want to create a generator as explained in https://lingualibre.org/wiki/Help:Create_a_new_generator. One user wanted to test this feature

Pamputt raised the priority of this task from Low to High.Mar 9 2021, 6:57 PM

Won't a PR or commit conflict with Wikivalley's work at the moment ?

It might. And if it does, the commit history will allow us or them to easily recover any changes that were unadvertently "reverted".

Done.

Since this is a change that is "approved" by this ticket, I did not make a PR. See the commit.

I'm not closing the issue yet since the change needs to be applied to the LinguaLibre MediaWiki setup.

Poslovitch changed the task status from Open to Stalled.Mar 11 2021, 10:08 AM
Eihel removed a subscriber: Eihel.